
// AnimTour3D.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Obvyklý svět s šachovnicí a uživatelem řízený 3D-sprite
   (turista), jehož pohyb je animovaný.

   Kamera turisty se pohybuje nad rovinou XZ, nemůže však
   uniknout z šachovnice.

   Nevyskytuje se zde scenérie ani překážky, je však snadné
   vypůjčit si potřebný kód z adresáře Tour3D/.
*/

import javax.swing.*;
import java.awt.*;


public class AnimTour3D extends JFrame
{
  public AnimTour3D() 
  {
    super("Animated 3D Tour");

    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapAnimTour3D w3d = new WrapAnimTour3D();
    c.add(w3d, BorderLayout.CENTER);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    setVisible(true);
  } // konec konstruktoru: AnimTour3D()


// -----------------------------------------

  public static void main(String[] args)
  { new AnimTour3D(); }

} // konec třídy: AnimTour3D

